#!../../bin/linux-x86_64/DawnRuSHtest

###############################################################################
# Set up environment
epicsEnvSet("P","$(P=apexCrate:)")
epicsEnvSet("CRATE_ADDRESS","$(CRATE_ADDRESS=crateapex01:23)")
< envPaths
epicsEnvSet("STREAM_PROTOCOL_PATH","${TOP}/db")
cd "${TOP}"

###############################################################################
# Register all support components
dbLoadDatabase "dbd/DawnRuSHtest.dbd"
DawnRuSHtest_registerRecordDeviceDriver pdbbase

###############################################################################
# Set up ASYN ports
# drvAsynIPPortConfigure port ipInfo priority noAutoconnect noProcessEos
drvAsynIPPortConfigure("L0","$(CRATE_ADDRESS) TCP",0,0,0)
asynSetTraceIOTruncateSize("L0",-1,200)
asynSetTraceIOMask("L0",-1,0x2)
asynSetTraceMask("L0",-1,0x1)

###############################################################################
# Load record instances
dbLoadRecords "db/devDawnRuSH.db" "P=$(P),R=1:,PORT=L0"

###############################################################################
# Start IOC
cd ${TOP}/iocBoot/${IOC}
iocInit
